%  Copyright 2013 Kwang In Kim, Max-Planck-Institut for Informatics
%  Please refer to license.txt for sanctioned usage.
%
function [F,StNodes,L] = CompRegonManifoldLapOpr(StNodes, Lambda, L)

A = Lambda*L;
[NumNodes] = length(StNodes.Nodes.y);
c = zeros(NumNodes,1);
for u=1:NumNodes
    if StNodes.Nodes.LFlag(u) > 0
        c(u) = StNodes.Nodes.y(u);
        A(u,u) = A(u,u)+1;
    end
end

F = A\c;
